libzypp 17.37.10

zypp::KeyContext Struct Reference

`#include <zypp/KeyContext.h>`

## Public Member Functions
| KeyContext ()
| KeyContext (const RepoInfo &repoinfo)
bool | empty () const
| Is the context unknown?
const RepoInfo | repoInfo () const
void | setRepoInfo (const RepoInfo &repoinfo)

## Private Attributes
RepoInfo | _repoInfo

## Detailed Description

Definition at line 8 of file KeyContext.h.

## Constructor & Destructor Documentation

## ◆ KeyContext() [1/2]

zypp::KeyContext::KeyContext | ( |  | ) |
| inline

Definition at line 11 of file KeyContext.h.

## ◆ KeyContext() [2/2]

zypp::KeyContext::KeyContext | ( | const RepoInfo & | repoinfo | ) |
| inline

Definition at line 12 of file KeyContext.h.

## Member Function Documentation

## ◆ empty()

bool zypp::KeyContext::empty | ( |  | ) | const
| inline

Is the context unknown?

Definition at line 15 of file KeyContext.h.

## ◆ repoInfo()

const RepoInfo zypp::KeyContext::repoInfo | ( |  | ) | const
| inline

Definition at line 18 of file KeyContext.h.

## ◆ setRepoInfo()

void zypp::KeyContext::setRepoInfo | ( | const RepoInfo & | repoinfo | ) |
| inline

Definition at line 19 of file KeyContext.h.

## Member Data Documentation

## ◆ _repoInfo

RepoInfo zypp::KeyContext::_repoInfo
| private

Definition at line 22 of file KeyContext.h.

The documentation for this struct was generated from the following file:

- zypp/KeyContext.h